Imports Telerik.Web.UI

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub RadGrid1_ItemCreated(ByVal sender As Object, ByVal e As Telerik.Web.UI.GridItemEventArgs) Handles RadGrid1.ItemCreated
        If TypeOf e.Item Is GridDataItem Then
            Dim deleteButton As LinkButton = CType(CType(e.Item, GridDataItem)(RadGrid1.MasterTableView.RenderColumns(2).UniqueName).Controls(0), LinkButton)
            deleteButton.Attributes("onclick") = "return radconfirm('Are you sure you want to delete this record?')"
        End If
    End Sub
End Class